summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdam Tkac <atkac@fedoraproject.org>2007-07-17 10:48:09 +0000
committerAdam Tkac <atkac@fedoraproject.org>2007-07-17 10:48:09 +0000
commit969b1cbd8f0eeedf2e9050986484112f7d7f00d4 (patch)
treed81080ed681cf16c567f9b12b08b070144f9ac71
parentf3718dfd1bcbbaa8ca7040eec261de7ef4a81786 (diff)
initscript is ready for parallel booting (#246878)bind-9_5_0a5-3_2_fc8
-rw-r--r--bind.spec7
-rwxr-xr-xnamed.init27
2 files changed, 23 insertions, 11 deletions
diff --git a/bind.spec b/bind.spec
index d3d9f29..24d676e 100644
--- a/bind.spec
+++ b/bind.spec
@@ -16,7 +16,7 @@ Summary: The Berkeley Internet Name Domain (BIND) DNS (Domain Name System) serv
Name: bind
License: BSD-like
Version: 9.5.0a5
-Release: 3%{?dist}
+Release: 3.2%{?dist}
Epoch: 31
Url: http://www.isc.org/products/BIND/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -465,7 +465,7 @@ fi
%postun
/sbin/ldconfig
if [ "$1" -ge 1 ]; then
- /sbin/service named condrestart >/dev/null 2>&1 || :;
+ /sbin/service named try-restart >/dev/null 2>&1 || :;
fi;
:;
@@ -703,6 +703,9 @@ rm -rf ${RPM_BUILD_ROOT}
%endif
%changelog
+* Tue Jul 17 2007 Adam Tkac <atkac redhat com> 31:9.5.0a5-3.2.fc8
+- initscript should be ready for parallel booting (#246878)
+
* Tue Jul 17 2007 Adam Tkac <atkac redhat com> 31:9.5.0a5-3.fc8
- handle integer overflow in isc_time_secondsastimet function gracefully (#247856)
diff --git a/named.init b/named.init
index 2e1863a..d693da7 100755
--- a/named.init
+++ b/named.init
@@ -8,14 +8,15 @@
# that is used to resolve host names to IP addresses.
# probe: true
-# Return codes
-# - script (all except status command)
-# - 2 invalid or excess argument(s)
-# - 3 unimplemented feature (for example, "reload")
-# - 4 user had insufficient privilege
-# - 5 program is not installed
-# - 6 program is not configured
-# - 7 program is not running
+### BEGIN INIT INFO
+# Provides: $named
+# Required-Start: $local_fs $network $syslog
+# Required-Stop: $local_fs $network $syslog
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 4 6
+# Short-Description: start|stop|status|restart|try-restart|reload|force-reload DNS server
+# Description: control ISC BIND implementation of DNS server
+### END INIT INFO
# Source function library.
. /etc/rc.d/init.d/functions
@@ -47,6 +48,7 @@ for a in $OPTIONS; do
dbusEnabled=1;
fi;
done
+
if [ -z $dbusEnabled ] && [ -z "$DISABLE_NAMED_DBUS" ] ; then
for l in 0 1 2 3 4 5 6; do
if /sbin/chkconfig --level=$l NetworkManager >/dev/null 2>&1; then
@@ -243,13 +245,20 @@ case "$1" in
restart
;;
condrestart)
+ echo "condrestart option is obsolete. Use try-restart instead"
if [ -e /var/lock/subsys/named ]; then restart; fi
;;
+ try-restart)
+ if [ -e /var/lock/subsys/named ]; then restart; fi
+ ;;
reload)
reload
;;
+ force-reload)
+ if ! reload; then restart; fi
+ ;;
*)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
+ echo $"Usage: $0 {start|stop|status|restart|try-restart|reload|force-reload}"
exit 3
esac